Class | REXML::NotationDecl
In: | rexml/doctype.rb
Parent: | Child

### Methods

new to_s write

### Public Class methods

new(name, middle, rest)

[Source]

    # File rexml/doctype.rb, line 198
                    def initialize name, middle, rest
                            @name = name
                            @middle = middle
                            @rest = rest
                    end

### Public Instance methods

to_s()

[Source]

    # File rexml/doctype.rb, line 204
                    def to_s
                            "<!NOTATION #@name '#@middle #@rest'>"
                    end

write( output, indent=-1 )

[Source]

    # File rexml/doctype.rb, line 208
                    def write( output, indent=-1 )
                            output << ('   '*indent) if indent > 0
                            output << to_s
                    end

[Validate]